import 'package:ytx_emotion/data/emotion.dart';
import 'package:ytx_emotion/data/emotion_tab.dart';
import 'package:ytx_emotion/data/network_emotion.dart';
import 'package:ytx_emotion/data/res_emotion.dart';

class EmotionHelper {
  Emotion? getEmotionByName(String name) {
    var emotionTab = EmotionTab();
    Emotion find1 = emotionTab.defaultTabs.firstWhere(
        (element) => element.name == name,
        orElse: () => ResEmotion("", "", ""));
    if (find1.unique.isNotEmpty) {
      return find1;
    }
    Emotion find2 = emotionTab.gupaiTabs.firstWhere(
        (element) => element.name == name,
        orElse: () => NetworkEmotion("", "", ""));
    if (find2.unique.isNotEmpty) {
      return find2;
    }
    Emotion find3 = emotionTab.newYearTabs.firstWhere(
        (element) => element.name == name,
        orElse: () => NetworkEmotion("", "", ""));
    if (find3.unique.isNotEmpty) {
      return find3;
    }
    return null;
  }
}
